---
parent: "[[Lecture]]"
tags:
  - Lecture
---
# Content
- [x] Jorswiecks Part - doing the intro 
- [x] Umfrage
	- [x] Teilnehmer
		- [x] Studiengang
		- [x] Semester
		- [x] 3 CP oder 6 CP
	- [x] Ratefragen
- [x] Strucktur des Kurses
- [x] Spielregeln

![[Einführung.pdf]]

# Auswertung Umfrage

## Teilnehmer

**Bachelor / Master Verteilung**
N = 38
```chart
type: pie
id: BMA
layout: column
width: 40%
```

| Studiengang | Anzahl |
| ----------- | ------ |
| Bachelor    | 34     |
| Master      | 4      |
^BMA

---
**Studiengang**
N = 36
```chart
type: bar
id: studiengang
layout: row
width: 90%
beginAtZero: true
```

| Studiengang            | Anzahl |
| ---------------------- | ------ |
| MeWi B.A.              | 30     |
| MeWi M.A.              | 1      |
| Ingeneurwissenschaften | 1      |
| Sonstige               | 4      |
^studiengang

---
**Semester**
N = 37
```chart
type: bar
id: semester
layout: row
width: 90%
beginAtZero: true
```

| Semester           | Anzahl |
| ------------------ | ------ |
| Erstes / Zweites   | 3      |
| Drittes / Viertes  | 28     |
| Fünftes / Sechstes | 1      |
| Siebtes / Achtes   | 1      |
| Über Neun          | 4      |
^semester

---
## Wissensfragen
**Programmiersprachen**
N = 37
```chart
type: bar
id: programmiersprachen
layout: row
width: 90%
beginAtZero: true
```

| Programmiersprache | Anzahl |
| ------------------ | ------ |
| C                  | 3      |
| Brainf**k          | 1      |
| JavaScript         | 18     |
| Modula-2           | 0      |
| HTML               | 15     |
^programmiersprachen

---
**Vorlesungs Programmiersprache**
N = 37
```chart
type: bar
id: volprog
layout: row
width: 90%
beginAtZero: true
```

| Programmiersprache | Anzahl |
| ------------------ | ------ |
| JavaScript         | 0      |
| Python             | 36     |
| R                  | 0      |
| Go                 | 0      |
| Fortran 77         | 1      |
^volprog

<span style="color:rgb(0, 176, 80)">Richtig: Python</span>

---
**Erfinder Python**
N = 38
```chart
type: bar
id: erfinder
layout: row
width: 90%
beginAtZero: true
```

| Erfinder          | Anzahl |
| ----------------- | ------ |
| Guido van Rossum  | 6      |
| Niklaus Wirth     | 11     |
| Ada Lovelace      | 2      |
| Alan Turing       | 14     |
| Katherine Johnson | 5      |
^erfinder

<span style="color:rgb(0, 176, 80)">Richtig: Guido van Rossum</span>

---
**Vorfreude auf ...**
N = 38
```chart
type: bar
id: vorfreude
layout: row
width: 90%
beginAtZero: true
```

| Antwort                     | Anzahl |
| --------------------------- | ------ |
| Diagramme                   | 10     |
| automatisierte Datenanalyse | 16     |
| Karten                      | 1      |
| Dokumentationen             | 2      |
| Kuchendiagramme             | 9      |
^vorfreude

---
## Ratefragen
**Euler Summe**
```python
count = 0
for i in range(101):
	count = count + 1
print(count)
```
N = 38
```chart
type: bar
id: euler
layout: row
width: 90%
beginAtZero: true
```

| Antwort                       | Anzahl |
| ----------------------------- | ------ |
| 7                             | 4      |
| 550                           | 4      |
| 5.050                         | 4      |
| 10.000                        | 8      |
| 1, 1, 2, 3, 5, 8, 13, 21, ... | 16     |
^euler

<span style="color:rgb(0, 176, 80)">Richtig: 5.050</span>

---
**String concat**
```python
message = "Python macht Spaß"
print(message[13:17])
```
N = 37
```chart
type: bar
id: string
layout: row
width: 90%
beginAtZero: true
```

| Antwort | Anzahl |
| ------- | ------ |
| ß apm   | 4      |
| Spa     | 3      |
| macht   | 4      |
| Spaß    | 26     |
| 0xcaffe | 0      |
^string

<span style="color:rgb(0, 176, 80)">Richtig: Spaß</span>

---
**List Comprehension**
```python
print([n*n for n in range(1,6)])
```
N = 37
```chart
type: bar
id: list
layout: row
width: 90%
beginAtZero: true
```

| Antwort       | Anzahl |
| ------------- | ------ |
| [1,2,3,4,5]   | 4      |
| [2,4,8,16,32] | 14     |
| [1,4,9,16,25] | 19     |
^list

<span style="color:rgb(0, 176, 80)">Richtig: [1,4,9,16,25]</span>

---
**JavaScript**
```javascript
[]+{}
```
N = 37
```chart
type: pie
id: js
layout: row
width: 40%
beginAtZero: true
```

| Antwort                      | Anzahl |
| ---------------------------- | ------ |
| [object Object]              | 7      |
| Das ist JavaScript...        | 1      |
| Error: cant add list and set | 26     |
^js

<span style="color:rgb(0, 176, 80)">Richtig: [object Object] & Das ist JavaScript...</span>